curl --request GET \
--url https://api.eliteprospects.com/v1/draft-types/{slug}/selections/player-nationalities \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.eliteprospects.com/v1/draft-types/{slug}/selections/player-nationalities"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.eliteprospects.com/v1/draft-types/{slug}/selections/player-nationalities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"generatedAt": "<string>",
"offset": 123,
"limit": 123,
"totalRecords": 123
},
"_links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"data": [
{
"nationality": {
"slug": "<string>",
"name": "<string>",
"iso_3166_1_alpha_2": "<string>",
"flagUrl": {
"small": "<string>",
"medium": "<string>"
},
"eliteprospectsUrlPath": "<string>",
"updatedAt": "<string>",
"_links": [
"<string>"
]
},
"count": 123
}
]
}Selection nationalities
Nationalities of the players picked in this draft type, with the number picked for each. Use the fields parameter to customize response fields.
Authorizations
Path Parameters
Slug of the draft type to get count by nationalities for
Query Parameters
Specify custom response with available response fields.
Fields included as default: nationality, count
nationality, count, nationality.*, * The number of items to skip before starting to collect the result set.
x >= 0The number of items to return.
0 <= x <= 1000Sort results by field name. Prefix with - for descending order (e.g., -name).
nationality, -nationality, count, -count Filter by id
Filter by id greater than
Filter by draftType slug
Filter by draftType slug not equal to
Filter by player ID
Filter by player.nationality slug in ISO 3166-1 alpha-3
Filter by player.playerType
GOALTENDER, SKATER Filter by player.position
G, D, F, null Filter by player.dateOfBirth
Filter by player.youthTeam
Filter by team ID
Filter by year
Filter by year greater or equal to
Filter by year less than or equal to
Filter by year only last x
Filter by round
Filter by playerTeamStatsBeforeDraft.league slug
Filter by updatedAt greater or equal to in ISO-8601 format for date and time